<template>
    <div :style="{ 'width': width, 'height': calculatedHeight }">
        <svg :class="fillClass"
             height="100%"
             stroke="#9e9e9e"
             stroke-width="1"
             viewBox="0 0 75 100"
             width="100%"
             xmlns="http://www.w3.org/2000/svg"
        >
            <rect :class="{'stroke-default': !strokeColor}" :stroke="strokeColor ? strokeColor : null"
                  height="100%" stroke-width="1"
                  width="15%"
                  x="42.5%"
                  y="0">
            </rect>
            <ellipse :class="{'stroke-default': !strokeColor}" :stroke="strokeColor ? strokeColor : null" cx="20%" cy="80%"
                     rx="20%"
                     ry="10%"
            />
            <ellipse :class="{'stroke-default': !strokeColor}" :stroke="strokeColor ? strokeColor : null" cx="80%" cy="80%"
                     rx="20%"
                     ry="10%"
            />
        </svg>
    </div>
</template>

<script>
export default {
    name: 'stirrer-component',
    props: {
        width: {
            type: [Number, String],
            default: '12rem'
        },
        height: {
            type: [Number, String],
        },
        status: {
            type: String,
            default: 'on'
        },
        strokeColor: {
            type: String
        }
    },
    computed: {
        fillClass: function () {
            if (this.status === 'on') {
                return 'fill-on'
            }

            if (this.status === 'trip') {
                return 'fill-trip'
            }

            return 'fill-off'
        },
        calculatedHeight: function () {
            if (this.height) {
                return this.height;
            }

            return ((parseInt(this.width).toFixed(2) / 75) * 100) + 'rem'
        }
    }
}
</script>
